import { createRouter, createWebHistory } from 'vue-router';
import SignUp from '../views/SignUp.vue';
import SignIn from '../views/SignIn.vue';
import Main from '../views/Main.vue';
import Profile from '../views/Profile.vue'; 
import Setting from '../views/Setting.vue';
import History from '../views/History.vue';

const routes = [
  {
     path: '/signup',
     name: 'signup',
      component: SignUp
     },
  { 
    path: '/signin', 
    name: 'signin',
    component: SignIn
   },
  { 
    path: '/main', 
    name: 'main',
    component: Main 
  },
  { 
    path: '/profile', 
    name: 'profile',
    component: Profile
   }, 
  { 
    path: '/',
     redirect: '/signup'
     },
     {
      path: '/setting', 
      name: 'setting',   
      component: Setting,
    }, 
     { 
      path: '/history', 
      name: 'history',
      component: History
     }, 
];

const router = createRouter({
  history: createWebHistory(),
  routes,
});


export default router;